# ARXLogisticRegressionConfiguration (ARX API Documentation)

org.deidentifier.arx

## Class ARXLogisticRegressionConfiguration

- java.lang.Object
- - org.deidentifier.arx.ARXLogisticRegressionConfiguration

- All Implemented Interfaces:
    java.io.Serializable

      public class ARXLogisticRegressionConfiguration
      extends java.lang.Object
      implements java.io.Serializable

  Configuration for logistic regression
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ARXLogisticRegressionConfiguration.PriorFunction` Prior function for regularization

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ARXLogisticRegressionConfiguration` | `create()` Returns a new instance
    `double` | `getAlpha()`
    `double` | `getDecayExponent()`
    `double` | `getLambda()`
    `double` | `getLearningRate()`
    `int` | `getMaxRecords()`
    `int` | `getNumFolds()`
    `ARXLogisticRegressionConfiguration.PriorFunction` | `getPriorFunction()`
    `int` | `getSeed()`
    `int` | `getStepOffset()`
    `int` | `getVectorLength()`
    `boolean` | `isDeterministic()` Returns whether the process should be deterministic
    `ARXLogisticRegressionConfiguration` | `setAlpha(double alpha)`
    `ARXLogisticRegressionConfiguration` | `setDecayExponent(double decayExponent)`
    `ARXLogisticRegressionConfiguration` | `setDeterministic(boolean deterministic)` Sets whether the process should be deterministic
    `ARXLogisticRegressionConfiguration` | `setLambda(double lambda)`
    `ARXLogisticRegressionConfiguration` | `setLearningRate(double learningRate)`
    `ARXLogisticRegressionConfiguration` | `setMaxRecords(int maxRecords)`
    `ARXLogisticRegressionConfiguration` | `setNumFolds(int numberOfFolds)`
    `ARXLogisticRegressionConfiguration` | `setPriorFunction(ARXLogisticRegressionConfiguration.PriorFunction priorFunction)`
    `ARXLogisticRegressionConfiguration` | `setSeed(int seed)` Seed for randomization.
    `ARXLogisticRegressionConfiguration` | `setStepOffset(int stepOffset)`
    `ARXLogisticRegressionConfiguration` | `setVectorLength(int vectorLength)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ARXLogisticRegressionConfiguration create()

      Returns a new instance
      Returns:

    - #### getAlpha

          public double getAlpha()

      Returns:
        the alpha

    - #### getDecayExponent

          public double getDecayExponent()

      Returns:
        the decayExponent

    - #### getLambda

          public double getLambda()

      Returns:
        the lambda

    - #### getLearningRate

          public double getLearningRate()

      Returns:
        the learningRate

    - #### getMaxRecords

          public int getMaxRecords()

      Returns:
        the maxRecords

    - #### getNumFolds

          public int getNumFolds()

      Returns:
        the numberOfFolds

    - #### getPriorFunction

          public ARXLogisticRegressionConfiguration.PriorFunction getPriorFunction()

      Returns:
        the priorFunction

    - #### getSeed

          public int getSeed()

      Returns:
        the seed

    - #### getStepOffset

          public int getStepOffset()

      Returns:
        the stepOffset

    - #### getVectorLength

          public int getVectorLength()

      Returns:
        the vectorLength

    - #### isDeterministic

          public boolean isDeterministic()

      Returns whether the process should be deterministic
      Returns:

    - #### setAlpha

          public ARXLogisticRegressionConfiguration setAlpha(double alpha)

      Parameters:
        `alpha` - the alpha to set

    - #### setDecayExponent

          public ARXLogisticRegressionConfiguration setDecayExponent(double decayExponent)

      Parameters:
        `decayExponent` - the decayExponent to set

    - #### setDeterministic

          public ARXLogisticRegressionConfiguration setDeterministic(boolean deterministic)

      Sets whether the process should be deterministic
      Parameters:
        `deterministic` -
      Returns:

    - #### setLambda

          public ARXLogisticRegressionConfiguration setLambda(double lambda)

      Parameters:
        `lambda` - the lambda to set

    - #### setLearningRate

          public ARXLogisticRegressionConfiguration setLearningRate(double learningRate)

      Parameters:
        `learningRate` - the learningRate to set

    - #### setMaxRecords

          public ARXLogisticRegressionConfiguration setMaxRecords(int maxRecords)

      Parameters:
        `maxRecords` - the maxRecords to set

    - #### setNumFolds

          public ARXLogisticRegressionConfiguration setNumFolds(int numberOfFolds)

      Parameters:
        `numberOfFolds` - the numberOfFolds to set

    - #### setPriorFunction

          public ARXLogisticRegressionConfiguration setPriorFunction(ARXLogisticRegressionConfiguration.PriorFunction priorFunction)

      Parameters:
        `priorFunction` - the priorFunction to set

    - #### setSeed

          public ARXLogisticRegressionConfiguration setSeed(int seed)

      Seed for randomization. Set to Integer.MAX_VALUE for randomization.
      Parameters:
        `seed` - the seed to set

    - #### setStepOffset

          public ARXLogisticRegressionConfiguration setStepOffset(int stepOffset)

      Parameters:
        `stepOffset` - the stepOffset to set

    - #### setVectorLength

          public ARXLogisticRegressionConfiguration setVectorLength(int vectorLength)

      Parameters:
        `vectorLength` - the vectorLength to set